using System.Collections.Generic;
using UnityEngine;

public class ChapterExtraData
{
	public int SectionId { get; set; }

	public int ExtraTextureChapter { get; set; }

	public CardBasePrm.ClanType ClanType { get; set; } = CardBasePrm.ClanType.NONE;

	public string BGSuffix { get; set; } = string.Empty;

	public List<int> ExtraTextureIndex { get; set; } = new List<int>();

	public int BGSectionId { get; set; } = -1;

	public Dictionary<int, Texture> BGTexture { get; set; } = new Dictionary<int, Texture>();

	public string BGExtraEffectPath { get; set; } = string.Empty;

	public bool AttachExtraEffectToBgRoot { get; set; }

	public GameObject ExtraEffect { get; set; }

	public Se.TYPE SeType { get; set; }

	public float ChapterMoveTime { get; set; } = 1.5f;

	public string BGFirstClearEffectPath { get; set; } = string.Empty;

	public GameObject FirstClearEffect { get; set; }

	public Se.TYPE FirstClearSeType { get; set; }

	public float FirstClearEffectDelayTime { get; set; }

	public float FirstClearMoveDelayTime { get; set; }

	public float FirstClearMoveOutDelayTime { get; set; }

	public bool AddTreeEffect { get; set; }

	public bool IsUseOtherSectionBG()
	{
		return BGSectionId != -1;
	}

	public bool IsChangeBG()
	{
		if (!IsUseOtherSectionBG())
		{
			return ExtraTextureIndex.Count > 0;
		}
		return true;
	}
}
